#
# spec file for package tftp (Version 0.36)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  tcpd

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm tcpd-devel

Name:         tftp
URL:          http://www.kernel.org/pub/software/network/tftp/
License:      BSD
Group:        Productivity/Networking/Ftp/Clients
Requires:     inet-daemon netcfg
Autoreqprov:  on
Version:      0.36
Release:      44.4
Summary:      Trivial File Transfer Protocol (TFTP)
Source:       tftp-hpa-%version.tar.bz2
Source1:      tftp.xinetd
Patch:        tftp-hpa-%version.diff
Patch1:       tftp-hpa-%version-syntax.diff
Patch2:       tftp-bcopy-secfix.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations and for getting or saving network
component configuration files.



Authors:
--------
    H. Peter Anvin <hpa@zytor.com>

%prep
%setup -n tftp-hpa-%version
%patch -p1
%patch1 -p1
%patch2 -p1

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr \
                                  --mandir=%_mandir \
				  %_target_cpu-suse-linux
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/etc/xinetd.d
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT%_mandir/man1
install -d -m 755 $RPM_BUILD_ROOT%_mandir/man8
make install INSTALLROOT=$RPM_BUILD_ROOT
install %{S:1} $RPM_BUILD_ROOT/etc/xinetd.d/tftp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.security tftpd/sample.rules
/usr/bin/tftp
%_mandir/man1/tftp.1.gz
%_mandir/man8/in.tftpd.8.gz
%_mandir/man8/tftpd.8.gz
%config(noreplace) /etc/xinetd.d/tftp
/usr/sbin/in.tftpd

%changelog -n tftp
* Wed Oct 27 2004 - mmj@suse.de
- Fix security hole with possibly overflowing bcopy [#47676]
* Mon Feb 09 2004 - mmj@suse.de
- Update to tftp-hpa-0.36 which is a portability release
* Fri Jan 09 2004 - mmj@suse.de
- Update to tftp-hpa-0.35:
  o Add an option to control the maximum value of blksize
  negotiated.
  o Removed workaround for obsolete Cygwin problem.
  o Don't use getopt() -- the -c option doesn't work correctly
  since it depends on the ordering of arguments and options.
  It is now possible to do:
  tftp -m binary hostname -c get filename
  This was previous possible by doing:
  tftp -m binary -c get hostname:filename
  ... but it seemed that was counterintuitive to people.
  o Somewhat improved configure scripts.
* Fri Oct 17 2003 - mmj@suse.de
- Don't build as root
* Wed Jul 02 2003 - mmj@suse.de
- Add patch from mls to fix syntax
* Tue May 13 2003 - mmj@suse.de
- Use %%defattr
* Tue May 06 2003 - mmj@suse.de
- Update to 0.34 which is just a small code cleanup to fix build on
  Solaris.
- Add tftpd/sample.rules (thanks to A. Schulze for noticing)
* Sat Mar 29 2003 - mmj@suse.de
- Update to 0.33 including:
   Further improvement of error messages
   Configuration fix: readline needs termcap
   Support running the tftp client from the command line
* Fri Jan 24 2003 - mmj@suse.de
- Add xinetd configuration file
* Thu Nov 14 2002 - mmj@suse.de
- Update to 0.32 including better error messages
* Mon Nov 04 2002 - mmj@suse.de
- Update to 0.31 including:
  o A check to make sure xinetd (in particular) doesn't
  pass an IPv6 socket.
  o Fix some problems related to timeout negotiation.
  o Allow the user to set the default timeout speed.
* Thu Oct 03 2002 - mmj@suse.de
- Update to 0.30 including;
  o Better timeout algorithm
  o New "utimeout" option
  o Change loglevel of clientside errors to LOG_WARNING
  o autoconf portability improvements
  o Minor bugfixes
* Mon May 13 2002 - mmj@suse.de
- Update to 0.29 including:
  o Posixly correctness.
  o Fixed a bug which could cause a standalone server to exit with
  a "recvfrom: Interrupted system call" log message if signals
  arrive at a particularly inopportune moment.
  o Fix a macro substitution bug
* Mon Feb 11 2002 - mmj@suse.de
- Update to 0.28
* Tue Nov 20 2001 - mmj@suse.de
- Update to 0.27
* Tue Oct 16 2001 - mmj@suse.de
- Update to 0.21
* Sat Aug 04 2001 - kukuk@suse.de
- Update to 0.20
* Fri Jul 27 2001 - kukuk@suse.de
- Update to 0.19
* Tue Jul 10 2001 - kukuk@suse.de
- Add tcp wrapper to neededforbuild
* Tue Jul 10 2001 - kukuk@suse.de
- Update to 0.17
* Thu Jun 14 2001 - cihlar@suse.cz
- requires inet-daemon, not inetd
* Fri Mar 30 2001 - kukuk@suse.de
- Update to 0.16
* Thu Mar 29 2001 - kukuk@suse.de
- Update to 0.15
* Tue Jan 02 2001 - kukuk@suse.de
- Add IP_PKTINFO patch from Cord Seele (Bug #4961)
* Tue Dec 12 2000 - draht@suse.de
- make tftpd(8) not only drop euid but all uids
* Sun Oct 08 2000 - kukuk@suse.de
- Split from nkitb
